package com.sun.corba.se.spi.activation;

import org.omg.CORBA.UserException;

public final class ServerHeldDown extends UserException
{
    public int serverId;
    
    public ServerHeldDown() {
        super(ServerHeldDownHelper.id());
        this.serverId = 0;
    }
    
    public ServerHeldDown(int serverId) {
        super(ServerHeldDownHelper.id());
        this.serverId = 0;
        this.serverId = serverId;
    }
    
    public ServerHeldDown(String str, int serverId) {
        super(ServerHeldDownHelper.id() + "  " + str);
        this.serverId = 0;
        this.serverId = serverId;
    }
}
